Subject: Re: PC Pine under Windows

From: John Stumbles <[email-masked]>
Date: Tue, 15 Feb 1994 20:06:36 +0000 (GMT)

On Mon, 14 Feb 1994, Terry Gray wrote:

> We've seen cases where, with certain PC configurations, PC-Pine will fail
> with this error [IMAP connection broken in reply] even when in the 
> foreground, but in the background case,
> one thing to check is the "PIF" file and how much of the CPU Pine is
> allocated while in the background.  I think I have mine set to 50%
> (PC-Pine will try to "wake up" and check for new mail periodically, even
> when in the background. If it doesn't get any cycles, I think the error
> you saw would be expected.)

OK, I have PCPINE running from a PIF, and it now seems not to lose its 
IMAP connection! Thanks for your help. For the FAQ my PIF settings are as 
follows (386 enhanced mode, BTW)

Prog filename 	C:\PINE\PINE.EXE
Window title  	Pine
Optional params 
Startup dir   	C:\PINE
Video memory  	(.) Text  ( ) Low graphics  ( ) High graphics
Memory reqirements KB required  128  KB desired  640
EMS memory           ...        0    KB limit      0
XMS memory           ...        0     ....         0
Display usage  (.) Full screen      Execution  [x] Background
               ( ) Windowed                    [ ] Exclusive
[x] Close window on exit

----------------------------Advanced Settings-------------------------------
Multitasking options--------------------------------------------------------
Background priority   100    Foreground priority  100
                     [ ] Detect Idle time

Memory Options--------------------------------------------------------------
    [ ] EMS memory locked         [ ] XMS memory locked
    [ ] Uses High memory area     [ ] Lock application memory

Display options-------------------------------------------------------------
Monitor ports        [ ] text  [ ] Low graphics   [ ] High Graphics
            [x] Emulate text mode     [ ] Retain Video memory

Other options----------------------------------------------------------------
[x] Allow fast paste                    [ ] Allow close when active
Reserve shortcut keys
                    (none - I can't be bothered typing all the boxes!)

Application shortcut key   [None     ]

I did have Background priority set to 50 (not 50% BTW - 50 out of 10000)
but increased it the first time PINE lost its IMAP connection (when in the
background). However at the time I didn't have the Background execution
box checked, which meant that PINE didn't get any time when in the
background anyway (and of course it lost its connection), so I can
probably put it back to 50 again.  I understand that if any other
application is set for Execution: Exclusive flag then it will hog the
processor and prevent PINE getting timeslices, so there's still no
guarantee that PINE will never lose its connection when in the 
background, but at least it won't do so when nothing else is happening.

I'm not sure about the memory requirements - I'm pretty sure PINE 
doesn't use XMS or EMS, but I guess it does want 640K if it can get 
it...?

I switched off Detect idle time as I understand (from good old Windows
Secrets) that Windows can cut off the app thinking it's not doing anything
if this setting is on. I wonder if PINE is Windows-aware and tells windows
when it's not doing anything anyway? 

Maybe some Windows guru out there can suggest further tweaks. 

John Stumbles                                       [email-masked]
University of Reading                                              0734 318435
Whiteknights, Reading, RG6 2AF, UK
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+